<Alte::Card @type="primary" as |card|>
  <card.header @title={{t "components.saving.fixed-rate.calendar.title"}} @titleIcon="calendar-alt" />
  <card.content>
    <Alte::Card::Body class="table-responsive p-0 saving-results">
      <table class="table table-head-fixed text-nowrap">
        <thead>
          <tr>
            <th>{{t "components.saving.fixed-rate.calendar.date"}}</th>
            <th class="text-right">{{t "components.saving.fixed-rate.calendar.capital"}}</th>
            <th class="text-right">{{t "components.saving.fixed-rate.calendar.interest"}}</th>
            <th class="text-right">{{t "components.saving.fixed-rate.calendar.fees"}}</th>
            <th class="text-right">{{t "components.saving.fixed-rate.calendar.balance"}}</th>
          </tr>
        </thead>
        {{#if @simulationRunner.isRunning}}
          <tbody>
            {{#each (repeat 12)}}
              <tr>
                <td><ContentLoader::Text80 /></td>
                <td class="text-right"><ContentLoader::Text100 /></td>
                <td class="text-right"><ContentLoader::Text100 /></td>
                <td class="text-right"><ContentLoader::Text100 /></td>
                <td class="text-right"><ContentLoader::Text100 /></td>
              </tr>
            {{/each}}
          </tbody>
        {{else}}
          {{#vertical-collection
            @simulationRunner.result.events
            containerSelector=".saving-results"
            tagName="tbody"
            estimateHeight="3rem"
            staticHeight=true
            as |event|
          }}
            <tr>
              <td>{{format-date event.date}}</td>
              <td class="text-right">{{format-money event.capital fractionDigits=0}}</td>
              <td class="text-right">{{format-money event.interests fractionDigits=0}}</td>
              <td class="text-right">{{format-money event.fees fractionDigits=0}}</td>
              <td class="text-right">{{format-money event.balance fractionDigits=0}}</td>
            </tr>
          {{/vertical-collection}}
        {{/if}}
      </table>
    </Alte::Card::Body>
  </card.content>
</Alte::Card>